com.hazelcast.core

## Class EntryAdapter<K,V>

- java.lang.Object
- - com.hazelcast.core.EntryAdapter<K,V>

- Type Parameters:
    `K` - key of the map entry
    `V` - value of the map entry.
  All Implemented Interfaces:
    EntryListener<K,V>, EntryAddedListener<K,V>, EntryEvictedListener<K,V>, EntryRemovedListener<K,V>, EntryUpdatedListener<K,V>, MapClearedListener, MapEvictedListener, MapListener, EventListener

      public class EntryAdapter<K,V>
      extends Object
      implements EntryListener<K,V>

  Adapter for `MapListener`.
  See Also:
    `MapListener`, `EntryListener`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entryAdded(EntryEvent<K,V> event)` Invoked upon addition of an entry.
    `void` | `entryEvicted(EntryEvent<K,V> event)` Invoked upon eviction of an entry.
    `void` | `entryRemoved(EntryEvent<K,V> event)` Invoked upon removal of an entry.
    `void` | `entryUpdated(EntryEvent<K,V> event)` Invoked upon update of an entry.
    `void` | `mapCleared(MapEvent event)` Invoked when all entries are removed by `IMap.clear()`.
    `void` | `mapEvicted(MapEvent event)` Invoked when all entries are evicted by `IMap.evictAll()`.
    `void` | `onEntryEvent(EntryEvent<K,V> event)` This method is called when an one of the methods of the `EntryListener` is not overridden.
    `void` | `onMapEvent(MapEvent event)` This method is called when an one of the methods of the `EntryListener` is not overridden.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntryAdapter

          public EntryAdapter()

  - ### Method Detail

    - #### entryAdded

          public void entryAdded(EntryEvent<K,V> event)

      Description copied from interface: `EntryAddedListener`
      Invoked upon addition of an entry.
      Specified by:
        `entryAdded` in interface `EntryAddedListener<K,V>`
      Parameters:
        `event` - the event invoked when an entry is added

    - #### entryRemoved

          public void entryRemoved(EntryEvent<K,V> event)

      Description copied from interface: `EntryRemovedListener`
      Invoked upon removal of an entry.
      Specified by:
        `entryRemoved` in interface `EntryRemovedListener<K,V>`
      Parameters:
        `event` - the event invoked when an entry is removed

    - #### entryUpdated

          public void entryUpdated(EntryEvent<K,V> event)

      Description copied from interface: `EntryUpdatedListener`
      Invoked upon update of an entry.
      Specified by:
        `entryUpdated` in interface `EntryUpdatedListener<K,V>`
      Parameters:
        `event` - the event invoked when an entry is updated

    - #### entryEvicted

          public void entryEvicted(EntryEvent<K,V> event)

      Description copied from interface: `EntryEvictedListener`
      Invoked upon eviction of an entry.
      Specified by:
        `entryEvicted` in interface `EntryEvictedListener<K,V>`
      Parameters:
        `event` - the event invoked when an entry is evicted

    - #### mapEvicted

          public void mapEvicted(MapEvent event)

      Description copied from interface: `MapEvictedListener`
      Invoked when all entries are evicted by `IMap.evictAll()`.
      Specified by:
        `mapEvicted` in interface `MapEvictedListener`
      Parameters:
        `event` - the map event invoked when all entries are evicted by `IMap.evictAll()`

    - #### mapCleared

          public void mapCleared(MapEvent event)

      Description copied from interface: `MapClearedListener`
      Invoked when all entries are removed by `IMap.clear()`. When a listener is registered as local-only then it will be invoked if and only if the `clear()` method is called on the same instance where the listener was registered to.
      Specified by:
        `mapCleared` in interface `MapClearedListener`
      Parameters:
        `event` - the map event invoked when all entries are removed by `IMap.clear()`

    - #### onEntryEvent

          public void onEntryEvent(EntryEvent<K,V> event)

      This method is called when an one of the methods of the `EntryListener` is not overridden. It can be practical if you want to bundle some/all of the methods to a single method.
      Parameters:
        `event` - the EntryEvent.

    - #### onMapEvent

          public void onMapEvent(MapEvent event)

      This method is called when an one of the methods of the `EntryListener` is not overridden. It can be practical if you want to bundle some/all of the methods to a single method.
      Parameters:
        `event` - the MapEvent.

Copyright © 2019. All rights reserved.